package com.adealink.weparty.commonui.widget.roulette

import android.graphics.PointF
import com.adealink.weparty.commonui.widget.roulette.data.RoulettePlayer
import com.adealink.weparty.commonui.widget.roulette.data.RoulettePlayerColor

interface IRouletteView {
    fun setPlayers(players: List<RoulettePlayer>, playerColorList: List<RoulettePlayerColor>? = null)
    fun addPlayer(player: RoulettePlayer)
    fun addPlayers(players: List<RoulettePlayer>)
    fun weepOutPlayer(playerId: Long)
    fun weepOutPlayers(playerIds: List<Long>)
    fun weepOutAllPlayer()
    fun getPlayerDegree(playerId: Long): Float?
    fun getPlayerIds(): List<Long>
    fun getPlayerAvatarCenter(playerId: Long): PointF?
}